#from __future__ import unicode_literals
# -*- coding: utf-8 -*-
import regles

class ActionObjet():
    def __init__(self):
        pass

class Objet():
    """objets tels qu'ils apparaissent dans l'inventaire"""
    def __init__(self, quantite = 1, nom = "Objet", typeObjet = 4, poids = 0, valeur = 0, \
                 monnaie = regles.nomMonnaie(), description = "", \
                 estConsommable = False):
        self.id = ""
        self.quantite = quantite
        self.nom = nom
        self.poids = poids    #unite depend des regles, kg par defaut
        self.valeur = valeur  
        self.monnaie = monnaie   #type de monnaie issue des regles, ou au choix
        self.description = description
        self.typeObjet = typeObjet    #arme, consommable, defense, butin, monnaie, autre...
        self.estConsommable = estConsommable
        self._estConsomme = False
##        self.action = actionObjet

    def utiliser(self):
        """l'objet est utilise, il renvoie son action"""
##        self.action.executer()
        if self.estConsommable:
            self._estConsomme = True

    def estConsomme(self):
        return self._estConsomme

    def poidsTotal(self):
        return (self.quantite * self.poids)

    def valeurTotale(self):
        return (self.quantite * self.valeur)    

    def nomTypeObjet(self):
        types = ["Monnaie", "Arme / Armure", "Consommable", "Butin", "Autre"]
        return types[self.typeObjet]






        
